Summary: HTTP library of common code
Name: w3c-libwww
Version: 5.3.2
Release: 1mdk
Copyright: W3C (see: http://www.w3.org/Consortium/Legal/copyright-software.html)
Group: System/Libraries
Source: http://www.w3.org/Library/Distribution/%{name}-%{version}.tar.bz2
URL: http://www.w3.org/Library
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel openssl-devel
# pulled by library dependencies
#Requires: openssl zlib
Icon: Lib48x.xpm

%description
Libwww is a general-purpose Web API written in C for Unix and Windows (Win32).
With a highly extensible and layered API, it can accommodate many different
types of applications including clients, robots, etc. The purpose of libwww
is to provide a highly optimized HTTP sample implementation as well as other
Internet protocols and to serve as a testbed for protocol experiments.

%package devel
Summary: Libraries and header files for programs that use libwww.
Group: Development/Other
Requires: %{name} = %{version}

%description devel
Static libraries and header files for libwww, which are available as public
libraries.

%package apps
Summary: Applications built using Libwww web library: e.g. Robot, command line tool, etc.
Group: Networking/WWW
Requires: %{name} = %{version}
Icon: robot48x.xpm

%description apps

Web applications built using Libwww: Robot, Command line tool, 
line mode browser.  The Robot can crawl web sites faster, and
with lower load, than any other web walker that we know of, 
due to its extensive pipelining and use of HTTP/1.1.

The command line tool (w3c) is very useful for manipulation of 
Web sites that implement more than just HTTP GET (e.g. PUT, 
 POST, etc.).

The line mode browser is a minimal line mode web browser; 
often useful to convert to ascii text.  Currently unavailable
until someone updates it to some new interfaces. (hint, hint...)

%prep
%setup -q

%build

%configure --enable-shared --with-gnu-ld --with-regex --with-zlib --with-ssl --with-md5

%make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install 


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libpics*.so.*
%{_libdir}/libwww*.so.*
%{_libdir}/libxml*.so.*
%{_libdir}/libmd5.so.*
%{_datadir}/w3c-libwww

%doc *.html  Icons/*/*.gif

%files apps
%defattr(-,root,root)
%{_bindir}/webbot
%{_bindir}/w3c
%{_bindir}/www

%files devel
%defattr(-,root,root)
%{_bindir}/libwww-config
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so

%{_includedir}/wwwconf.h
%{_includedir}/w3c-libwww

%changelog
* Thu Dec 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.3.2-1mdk
- Release 5.3.2
- Correct dependencies
- Remove patch0 (merged mainstream)

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.3.1-1mdk
- Release 5.3.1
- compiled with ssl and md5 support

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.2.8-4mdk
- fix group
- build release

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
